/*
Theme Name: Kadence Child
Theme URI: https://yourwebsite.com/kadence-child
Author: Your Name
Author URI: https://yourwebsite.com
Description: A child theme for the Kadence theme.
Version: 1.0
Template: kadence
Text Domain: kadence-child
*/

/* Import the parent theme styles */
@import url('../kadence/style.css');

body, html {
  overflow-x: hidden;
}
a {
    text-decoration: none; /*Remove the underline from <a>*/
}

/*Page container box width*/
.my-gutenberg {
    max-width: 1340px;
    margin: 0 auto;
}
/*-----------------------------------------Preloader------------------------------------------*/
/* Preloader Spinner Styles */
#preloader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgb(255, 255, 255); 
  display: flex;
	flex-direction:column;
  justify-content: center;
  align-items: center;
  z-index: 9999;  /* Ensure it covers the whole page */
}
.preloader-logo>img {
	width:100px;
	height:100px;
	text-align:center;
}
.spinner {
  margin: 10px auto;
  width: 50px;
  height: 40px;
  text-align: center;
  font-size: 10px;
}

.spinner > div {
  background-color: #333;
  height: 100%;
  width: 6px;
  display: inline-block;
  
  -webkit-animation: sk-stretchdelay 1.2s infinite ease-in-out;
  animation: sk-stretchdelay 1.2s infinite ease-in-out;
}

.spinner .rect2 {
  -webkit-animation-delay: -1.1s;
  animation-delay: -1.1s;
}

.spinner .rect3 {
  -webkit-animation-delay: -1.0s;
  animation-delay: -1.0s;
}

.spinner .rect4 {
  -webkit-animation-delay: -0.9s;
  animation-delay: -0.9s;
}

.spinner .rect5 {
  -webkit-animation-delay: -0.8s;
  animation-delay: -0.8s;
}

@-webkit-keyframes sk-stretchdelay {
  0%, 40%, 100% { -webkit-transform: scaleY(0.4); }  
  20% { -webkit-transform: scaleY(1.0); }
}

@keyframes sk-stretchdelay {
  0%, 40%, 100% { 
    transform: scaleY(0.4);
    -webkit-transform: scaleY(0.4);
  }  
  20% { 
    transform: scaleY(1.0);
    -webkit-transform: scaleY(1.0);
  }
}


/*-----------------------Main logo decoration----------------------*/
.site-branding a.brand {
    position: relative;
}
a.brand.has-logo-image::after {
    position: absolute;
    content: "";
    display: block;
    width: 190px;
    height: 168px;
    background-color: white;
    border-radius: 50%;
    top: -70px;
    left: -38px;
    z-index: -1;
}
@media(max-width:767px) {
	a.brand.has-logo-image::after {
    width: 130px;
    height: 130px;
    top: -60px;
    left: -30px;
}
}

/*Hiding and revealing menu*/
#masthead {
    position: fixed;
    width: 100%;
	transform:translatey(0);
	transition: transform 0.4s cubic-bezier(0.25, 0.8, 0.25, 1); /* Smooth easing */
}
/*Hiding and revealing logo*/
div#scroll-logo {
	position:fixed;
	top:50px;
	left:24px;
	width:80px;
	transform:translatey(0);
	transition:transform 0.5s ease;
	z-index:9999;
}
div#scroll-logo.visible {
	transform:translatey(0);
}
div#scroll-logo.hidden {
	transform:translatey(-240%);
}


/*Remove margin-top from the hero image*/
figure.wp-block-image.alignfull.size-large {
    margin-top: -80px;
}
/*Hero image responsive adjustment*/
@media(max-width: 767px) {
.wp-block-image.alignfull img, .wp-block-image.alignwide img {
	object-fit: cover; 
	height:400px;
}
}

/*--------------------------Search and filter-------------------------*/
body.home .wp-block-kadence-column.kadence-column81_711256-35 h1{
	text-align:center;	
	font-size:28px;
}
body.home .searchandfilter>div>ul>li:nth-of-type(4) {
	display:block;
	text-align:center;
	margin-top:40px;
	position: relative;
}
.searchandfilter > div > ul > li:nth-of-type(4)::after {
    content: "\f002";
    font-family: "Font Awesome 5 Free";
    font-weight: 800;
    font-size: 26px;
    color: #fff;
    display: inline-block;
    position: absolute;
    right: 8%;
    top: 2px;
	transform: rotateZ(90deg);
}

body.home .searchandfilter h4 {
    margin: 4px 0;
}
body.home input[type="text"] {
    width: 300px;
	background:#fafafa;
}
body.home .searchandfilter input[type="submit"] {
    width: 500px;
	border-radius: 24px;
    height: 48px;
}

.searchandfilter ul {
    display: flex;
    flex-wrap: wrap;
    align-content: center;
    justify-content: center;
}
body.home select#ofcategory {
    width: 240px;
}
body.home select#ofpost_tag {
    width: 240px;
}
body.home .kadence-column81_08a193-5f > .kt-inside-inner-col {
    border-radius: 16px;
    margin-top: -48px;
}
@media (max-width: 1024px) {
body.home .searchandfilter ul {
	text-align: center;	
	margin-left: 10px;
}
body.home .kadence-column81_08a193-5f > .kt-inside-inner-col {
    margin-left: 64px;
    margin-right: 64px;
}
body.home .kadence-column81_711256-35 h2 {
	font-size: 24px;
}
body.home .searchandfilter input[type="submit"] {
    margin: 0 10px;
}
}
@media(max-width: 767px) {
body.home .searchandfilter > div > ul > li:nth-of-type(4)::after {
    right: 12%;
}
body.home .kadence-column81_08a193-5f > .kt-inside-inner-col {
    margin-left: 24px;
    margin-right: 24px;
}
}
@media(max-width: 550px) {
	body.home .wp-block-kadence-column.kadence-column81_711256-35 h1{
	font-size:20px;
}
	body.home .searchandfilter input[type="submit"] {
    width: 260px;
}
body.home .kadence-column81_711256-35 h2 {
	font-size: 20px;
}
body.home input[type="text"] {
    width: 260px;
}
}
/*--------------------------Search and filter(side bar)-------------------------*/
#block-26 .searchandfilter ul {
	margin:0;
	padding:0;
	flex-direction:column;
}
#block-26 .searchandfilter li:nth-child(1) {
    width: 100%;
}
#block-26 select.postform {
    width: 100%;
	font-size:14px;
}
#block-26 .searchandfilter h4 {
    margin: 4px 0;
    font-size: 14px;
    font-weight: 500;
}
#block-26 input[type="text"] {
    width: 100%;
	font-size:14px;
}
#block-26 input[type="submit"] {
    text-align: center;
    margin-top: 14px;
    font-size: 15px;
	width:100%;
}
section#block-26 {
    margin-top: -30px;
}
@media(max-width:1024px) {
	#block-26 .searchandfilter li:nth-child(1) {
    width: 60%;
}
body.single-post section#block-28 {
    margin-top: -32px;
}
}
@media(max-width: 767px) {
		#block-26 .searchandfilter li:nth-child(1) {
    width: 90%;
}
}
/*--------------------------Main container--------------------------*/

.main-container {
    display: flex;
    justify-content: center;
    max-width: 1340px;
    margin: 0 auto;
	margin-top:30px;
}
/*Wave annimation*/
.wave {
  display: block;
  width: 100%;
  height: 60px; /* Adjust the height as needed */
  position: absolute;
  bottom: 0;
  left: 0;
}

.single-wave > use {
  animation: move-wave 16s linear infinite;
}

@keyframes move-wave {
  0% {
    transform: translateX(85px);
  }
  100% {
    transform: translateX(-90px);
  }
}

/*---------------------------Trending posts---------------------------*/
.trending-posts-title {
	display:flex;
	align-items: center;
	border-bottom: 1px solid #555;
}
.single__detail__box__right__box__ranking {
    width: 34%;
}
.single__detail__box__right__box__items__title{
    font-size: 21px;
    padding-bottom: 6px;
    margin-top: 5px;
	display:inline-block;
}
.crown-icon {
	display:inline-block;
	width:40px;
	height:40px;
	background-image:url('/wp-content/uploads/2024/11/popular-crown.png');
	background-size:contain;
	background-repeat:no-repeat;
	margin-right:8px;
}
.single__detail__box__right__box__ranking__list {
    margin-top: 15px;
}
.single__detail__box__right__box__ranking__list__items {
    margin-bottom: 10px;
	background-color:white;
	border: solid 8px white;
}
.single__detail__box__right__box__ranking__list__items__link {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.single__detail__box__right__box__ranking__list__items__left {
    display: inline-block;
    width: 300px;
    position: relative;
}
.single__detail__box__right__box__ranking__list__items__left__count {
    width: 24px;
    height: 24px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 16px;
    color: #fff;
    background: #d42b40;
    position: absolute;
    top: 0;
    left: 0;
}
.single__detail__box__right__box__ranking__list__items__left__img {
    width: 100%;
    height: 70px;
}
.single__detail__box__right__box__ranking__list__items__right {
    display: inline-block;
    width: 300px;
}
.single__detail__box__right__box__ranking__list__items__right__title {
    font-size: 14px;
    display: -webkit-box;
	margin-left:10px;
    overflow: hidden;
	margin-top:8px;
}

.main-container {
    display: flex;
    justify-content: center;
}
ul.single__detail__box__right__box__ranking__list {
	list-style:none;
}
.trending-posts-tag {
	font-size:13px;
	margin-left:10px;
}
.trending-posts-category {
	margin-left:10px;
}
img.attachment-post-thumbnail.size-post-thumbnail.wp-post-image {
    aspect-ratio: 3/2;
    object-fit: cover;
}
@media(max-width:1024px) {
.single__detail__box__right__box__ranking {
    width: 100%;
}
.single__detail__box__right__box__ranking__list__items__left {
	width:auto;
    max-width: 150px;
}
.single__detail__box__right__box__ranking__list__items__right {
	width:auto;
    max-width: 340px;
}
img.attachment-post-thumbnail.size-post-thumbnail.wp-post-image {
    aspect-ratio: 4/3;
	object-fit:cover;
}
.single__detail__box__right__box__ranking__list__items__link {
       justify-content: flex-start;
}
ul.single__detail__box__right__box__ranking__list {
    display: flex;
    flex-wrap: wrap;
	margin-top: 15px;
	justify-content:center;
}
.single__detail__box__right__box__ranking__list__items {
    flex: 0 0 50%;
}
h3.single__detail__box__right__box__ranking__list__items__right__title {
    padding-right: 10px;
}
.single__detail__box__right__box__ranking {
    margin-top: 40px;
}
.trending-posts-title {
    /*padding-left: 24px;*/
	margin-right: 16px;
    margin-left: 16px;
}
}

@media(max-width:767px) {
	ul.single__detail__box__right__box__ranking__list {
    display: block;
	margin-right:5px;
	margin-left:5px;
	}
.single__detail__box__right__box__ranking {
    margin-top: 10px;
}
}
/*-----------------------Main slick carousel--------------------------*/
.sidebar {
    width: 60%;
}
.slick-slide img {
    object-fit: cover;
    height: 480px;
    width: 850px;
}
.slick-list.draggable {
    box-shadow: 0 2px 16px rgba(0, 0, 0, 0.3);
}
button.custom-next-arrow.slick-arrow {
    position: absolute;
    top: 0px;
    left: 40px;
	font-size:14px;
}
button.custom-prev-arrow.slick-arrow {
	font-size:14px;
	position:absolute;
	z-index:99;
}
.main-carousel-title {
    position: absolute;
    top: 16%;
    left: calc(50% - 100px);
    background: white;
    padding: 10px 24px;
	font-weight:600;
	font-size:22px;
}
.main-recent-posts-meta {
	position:absolute;
	top:8%;
	left: calc(50% - 100px);
}
.main-recent-posts-category {
    margin: 4px 8px;
    padding: 1px 16px 2px 16px;
    color: white;
    background-color: #d42b40;
    border-radius: 16px;
    text-decoration: none;
    font-size: 13px;
	font-weight:500;
}
p.main-recent-posts-tag {
    font-size: 13px;
}
.main-recent-posts-category:hover , .main-recent-posts-category:active {
	color:white;
}
.main-recent-posts-date {
	font-size:13px;
	color:white;
	font-weight:500;
}
.recent-posts-carousel h2 {
	margin-right: 20px;
	padding-bottom: 6px;
}
.recent-posts-title {
    display: flex;
    border-bottom: solid 1px black;
    margin-bottom: 16px;
    margin-top: -6px;
    margin-right: 16px;
}

.recent-posts-icon {
	display: inline-block;
	width: 34px;
	height:34px;
	background-image: url('/wp-content/uploads/2024/11/recent-visit.png');
	background-size:contain;
	background-repeat: no-repeat;
	margin-right:10px;	
	transform: translatey(6px);
}
.recent-posts-title>h2 {
	display: inline-block;
}
p.main-recent-posts-excerpt {
    position: absolute;
    bottom: -20px;
	color:white;
    padding: 14px 28px 20px 28px;
    font-size: 15px;
	line-height:1.8;
    background: rgba(48,48,48,.85);
}

.carousel-container .slick-dots li {
    width: 86px;
    height: 4px;
    margin: 0 4px;
    background-color: #333;
	transition: opacity 0.3s ease; 
    opacity: 0.2; 
}
ul.slick-dots {
    margin-top: -16px;
    margin-bottom: -6px;
}
.slick-dots li.slick-active {
	opacity: 0.8;
    transition: opacity 0.3s ease;
}
.slick-dots li button:before {
    display: none;
}
@media(max-width:1024px) {
.sidebar {
    width: 90%;
}
.slick-slide img {
    width: auto;
	min-width:1000px;
}
.main-container {
	flex-direction: column;
	align-items: center;
	}
.recent-posts-title {
	margin-right: 0;
	}
.slick-slide img {
                margin-left: 0;
	}
ul.slick-dots {
	margin-left:0;
}
}

@media(max-width: 550px) {
	.carousel-container .slick-dots li {
    width: 50px;
	}
p.main-recent-posts-excerpt {
    padding: 10px 16px 16px 16px;
    font-size: 14px;
	line-height:1.6;
}
}

/* -----------------------------Top page banner------------------------------ */
.home-banner1 {
    width: 100%;
    min-height: 260px;
    margin-top: 50px;
}
.content {
  position: relative;
  z-index: 2;
  color: white;
  text-align: center;
  display:flex;
  column-gap: 8px;
	justify-content:center;
	margin-bottom:8px;
}
/*Currency rate in side bar*/
.erw-base-currency-link {
	display:none;
}
section#erw_exchange_rates_widget-3 , section#erw_exchange_rates_widget-11 {
    margin-bottom: -16px;
}
@media (max-width: 1024px) {
body.single-post section#erw_exchange_rates_widget-4 {
    margin-bottom: 90px;
}
}
.weather {
	margin-top:20px;
}
.weather-h2 {
    border: solid 1px lightgray;
    border-left: solid 4px #a94442;
    padding: 0 18px;
    background: #f2f2f2;
}
section#erw_exchange_rates_widget-3>h2 , body.archive #block-22>h2 , body.single-post #block-22>h2 , body.blog #block-22>h2 {
	    border: solid 1px lightgray;
    border-left: solid 4px #a94442;
    padding: 0 18px;
    background: white;
}
    div.content iframe {
		width: 33% !important;
    }
@media(max-width:1024px) {
	body.single-post section#erw_exchange_rates_widget-5 {
    margin-bottom: 90px;
}
}
@media(max-width:800px) {
	.content{
		flex-direction:column;
	}
	    div.content iframe {
		width: auto !important;
    }
}


/*--------------------------Editors choice---------------------------*/
.recommended-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(2, 1fr);
    gap: 20px;
    list-style: none;
}

.bottom-left-main>h2 {
    margin-top: 16px;
	margin-bottom:8px;
	display:inline-block;
}
.editors-choice>img {
	width:280px;
}
h3.recommended-carousel-title {
    font-size: 16px;
    margin-top: 8px;
	margin-bottom:2px;
    padding-bottom: 8px;
    border-bottom: dashed 1px black;
}
.recommended-posts-category , .trending-posts-category {
    padding: 1px 16px 2px 16px;
    color: white;
    background-color: #fca128;
    border-radius: 16px;
    text-decoration: none;
    font-size: 12px;
	cursor:pointer;
} 
.recommended-posts-category:hover , .recommended-posts-category:active {
	color:white;
}
.recommended-posts>.recommended-grid img {
	margin-bottom: 10px;
}
span.recommended-posts-tag {
    font-size: 13px;
	margin-right:10px;
}
span.published-date {
    color: #848484;
    font-size: 13px;
    margin-left: 4px;
}
@media(max-width: 1024px) {
ul.recommended-grid {
	margin:0;
}
}
@media(max-width: 767px) {
.recommended-grid {
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(3, 1fr);
}
}
@media(max-width: 550px) {
.recommended-grid {
    grid-template-columns: repeat(1, 1fr);
    grid-template-rows: repeat(6, 1fr);
}
}
/*--------------------------Tag cloud---------------------------*/
.tag-cloud {
	background-color:#002e52;
	padding: 60px 20px;
	
}
.inner-tag-cloud {
	max-width:1240px;
	margin:0 auto;
}
.tag-list-horizontal {
	display:flex;
	justify-content:center;
	color:white;
	flex-wrap:wrap;
}
.tag-list-horizontal>a {
	color:white;
	margin:16px 20px;
    padding: 1px 16px 2px 16px;
	border:2px solid white;
    border-radius: 16px;
	transition: all 0.2s ease;
}
.tag-list-horizontal>a:hover , .tag-list-horizontal>a:active {
	color:#dbedff;
	border-color:#dbedff;
}
.tag-cloud h2 {
    text-align: center;
    color: white;
    margin-bottom: 32px;
}
@media(max-width:767px) {
	.tag-cloud {
	padding: 50px 20px 64px 20px;
}
.tag-cloud h2 {
    margin-bottom: 24px;
}
	.tag-list-horizontal>a {
	margin:16px 14px;
	border:1px solid white;
}
}
/*---------------------------Useful link---------------------------*/
section.useful-link {
    text-align: center;
    margin:48px 48px 70px 48px;
}
.useful-link-flex {
    display: flex;
    margin-top: 32px;
    justify-content: center;
    column-gap: 16px;
	gap:16px;
    flex-wrap: wrap;
}

.useful-link-flex>a:nth-child(1) {
    max-width: 260px;
}
.useful-link-flex>a:nth-child(2) {
    max-width: 400px;
}
.useful-link-flex>a:nth-child(3) {
    max-width: 320px;
}
.useful-link-flex>a:nth-child(4) {
    max-width: 320px;
}
.useful-link-flex>a:nth-child(5) {
    max-width: 360px;
}
.useful-link-flex>a:nth-child(6) {
    max-width: 440px;
}
.useful-link-flex>a:nth-child(7) {
    font-size: 13px;
}

/*---------------------------Contact section---------------------------*/
section.contact-section {
    max-width: 1160px;
    margin: 0 auto;
    margin-top: 60px;
    display: flex;
    justify-content: center;
    column-gap: 56px;
    width: 100%;
    padding-right: 40px;
    padding-left: 40px;
	padding-bottom:68px;
}
.contact-section-left {
    width: 40%;
}
div#wpcf7-f360-o1 {
    width: 60%;
}
.contact-section-left>h2 , .contact-section-left>.kt-inside-inner-col>h2 {
	margin-bottom:40px;
}
.contact-section-left>p , .contact-section-left>h3 , .contact-section-left>.kt-inside-inner-col>p , .contact-section-left>.kt-inside-inner-col>h3{
	font-size:16px;
	font-weight:400;
}
.contact-section-left>h3 , .contact-section-left>p {
	line-height:2;
}
.contact-section-left>p.decoration , .contact-section-left>.kt-inside-inner-col>p.decoration {
	color: #c1c1c1;
	font-size:15px;
}
input.wpcf7-form-control.wpcf7-submit.has-spinner {
    font-size: 16px;
    border-radius: 24px;
	padding: 10px 80px;
    margin: 0 20px 0px 20px;
}
@media(max-width:1024px) {
	section.contact-section {
		flex-direction:column;
		padding-bottom: 48px;
	}
	.contact-section-left , div#wpcf7-f360-o1 {
        width: 100%;
}
.contact-section-left>h2 , .contact-section-left>p.decoration {
    text-align: center;
}
input.wpcf7-form-control.wpcf7-submit.has-spinner {
    display: block;
    margin: 0 auto;
}
}


/*--------------------------------------Footer-----------------------------------------*/
.site-bottom-footer-inner-wrap {
      padding-top: 0px; 
}
.footer-navigation .menu {
    row-gap: 6px;
}
.footer-navigation .menu {
    justify-content: flex-start;
}
.site-footer-wrap .site-middle-footer-inner-wrap {
    padding-top: 10px;
}
#colophon .footer-navigation .footer-menu-container > ul > li {
    border-right: solid 1px slategray;
}
#colophon .footer-navigation .footer-menu-container > ul > li:nth-child(12) {
    border-right: none;
}
.footer-logo {
    width: 60px;
    margin-left: 8px;
}
.site-footer-wrap .site-top-footer-inner-wrap {
    padding-top: 0px;
    padding-bottom: 0px;
}
@media(max-width:1024px) {
.site-footer-wrap .site-top-footer-inner-wrap {
    grid-row-gap: 0px;
}
}
@media(max-width:767px) {
.footer-navigation .menu {
    row-gap: 4px;
}
.site-bottom-footer-inner-wrap {
    padding-top: 0px;
}
}

/*------------------------------Blog archive page-------------------------------*/
body.archive .content-area {
    margin-top: 2.5rem;
}
.pagination .nav-links {
    display: flex;
}
body.archive .entry-meta a , body.single-post .entry-meta a , body.search .entry-meta a , body.blog .entry-meta a {
    padding: 1px 16px 2px 28px;
    color: white;
    background-color: #D42B40;
    border-radius: 16px;
    font-size: 13px;
    font-weight: unset;
}
span.category-links {
    position: relative;
}
span.category-links .kadence-comments-svg {
    color: white;
    position: absolute;
    top: 5px;
    left: 22px;
}
ul.wp-block-categories-list.wp-block-categories {
	list-style:none;
	display:flex;
	flex-wrap:wrap;
	margin:20px 0 0 0;
}
li.cat-item {
	margin:4px;
}
li.cat-item>a:hover , li.cat-item>a:active {
	color:white;
	text-decoration:none;
}
ul.wp-block-categories-list a {
    padding: 1px 16px 2px 16px;
    color: white;
    background-color: #fca128;
    border-radius: 16px;
    text-decoration: none;
    font-size: 13px;
    cursor: pointer;
}

body.archive .loop-entry .entry-content-wrap , body.blog .loop-entry .entry-content-wrap {
    padding: 1rem;
}
body.archive .grid-cols {
    column-gap: 1.5rem;
}
@media(max-width:1024px){
body.archive .content-area {
    margin-top: 1.5rem;
}
}
@media(max-width:767px){
body.archive .content-container.site-container {
    padding-right: 10px;
	padding-left:10px;
}
body.archive .grid-cols {
    column-gap: 1rem;
}
}

/*---------------------------Blog post table---------------------------*/

body.single-post p.ez-toc-title {
	  background-color: white;
    padding: 2px 10px;
	border:1px solid #ddd;
	background:#f6f6f6;
}
p.ez-toc-title::before {
	content:'';
	display:inline-block;
	width:14px;
	height:14px;
	background-image: url('/wp-content/uploads/2024/12/list-icon-black.svg');
	background-size:cover;
	margin-right:6px;
}
#ez-toc-container {
    padding: 16px 30px 16px 30px;
}
.ez-toc-title-container {
    margin-bottom: 10px;
}
div#ez-toc-container {
    position: relative;
	width:96%;
}
.ez-toc-wrap-center {
    margin: 60px auto!important;
}
.ez-toc-title-container {
    display: flex;
    justify-content: center;
	margin-bottom: 10px;
}
#ez-toc-container .ez-toc-title {
    position: absolute;
    top: -16px;
	padding: 2px 10px;
    border-radius: 4px;
}
div#ez-toc-container ul li.ez-toc-page-1.ez-toc-heading-level-2 {
	border-bottom: dashed 1px #d1d5db;
	margin-bottom:6px;
	padding-bottom:6px;
}
div#ez-toc-container ul li.ez-toc-page-1.ez-toc-heading-level-2:nth-last-of-type(1) {
	border-bottom: none;
}
body.single-post div.single-layout-1 h2.wp-block-heading {
font-size: 24px;
    font-weight: 500;
background-color: #aae2ff;
    padding: 8px 24px;
width: 98%;
	position:relative;
}
body.single-post div.single-layout-1 h2.wp-block-heading::before {
	content:'';
	display:block;
	position:absolute;
	top:-4px;
	left:0;
	width:100%;
	height:2px;
	border-top: solid 2px #aae2ff;
}
body.single-post div.single-layout-1 h2.wp-block-heading::after {
	content:'';
	display:block;
	position:absolute;
	bottom:-4px;
	left:0;
	width:100%;
	height:2px;
	border-top: solid 2px #aae2ff;
}
body.single-post div.single-layout-1 h3.wp-block-heading {
	font-size:22px;
	font-weight:500;
	padding: 10px;
    border-bottom: solid 1px #272122;
    width: 98%;
}
.entry-content.clear a {
	color: #0073e6;
}
body.single-post .primary-sidebar {
    padding-top: 0;
    padding-bottom: 0;
}
@media(max-width:767px) {
	div#ez-toc-container {
    width: 100%;
}
#ez-toc-container {
    padding: 16px 16px 16px 16px;
}
}


/*---------------------------Blog page trending posts---------------------------*/
.single__detail__box__right__box__ranking__list__blog {
    display: flex;
    flex-wrap: wrap;
    margin: 15px 0 0 0;
	padding:0;
}
.single__detail__box__right__box__ranking__list__items__blog {
    margin-bottom: 16px;
}
.single__detail__box__right__box__ranking__list__items__left__blog>img.attachment-thumbnail.size-thumbnail.wp-post-image {
		    aspect-ratio: 3/2;
	object-fit:cover;
	max-width:unset;
}
img.attachment-medium.size-medium.wp-post-image {
	    aspect-ratio: 3/2;
	object-fit:cover;
	width:100%;
}
.single__detail__box__right__box__ranking__list__items__left__blog {
    position: relative;
	    max-width: 160px;
    overflow: hidden;
}
body:is(.archive.category, .search, .single-post.single, .archive.tag, .blog) .single__detail__box__right__box__ranking__list__items__link__blog {
    display: flex;
    align-items: center;
    text-decoration: none;
}

body.single-post .single__detail__box__right__box__ranking__blog {
    margin-top: 28px;
}
#block-14>.single__detail__box__right__box__ranking__blog {
    margin-top: unset;
}
@media(max-width:1024px) {
	.single__detail__box__right__box__ranking__list__items__blog {
    flex: 0 0 50%;
}
	body.single-post .single__detail__box__right__box__ranking__blog {
    margin-top: -68px;
}
    body.single-post .trending-posts-title , body.archive .trending-posts-title {
	margin:unset;
}
}

@media(max-width:800px) {
	.single__detail__box__right__box__ranking__list__items__blog {
    flex: 0 0 100%;
}
}

@media(max-width:767px) {
.single__detail__box__right__box__ranking__list__items__right__title {
    font-size: 14px;
}
.recommended-posts-category, .trending-posts-category {
    font-size: 12px;
}
.trending-posts-tag {
    font-size: 12px;
	}
}
@media screen and (min-width:1025px){
body.single-post .content-container , body.archive .content-container {
    grid-gap: 24px;
}
}

/*------------------------------Blog post page-------------------------------*/
.custom-message {
    margin-bottom: 40px;
    margin-top: -33px;
    padding: 4px 16px;
    font-size: 13px;
    color: #777777;
    background: #F6F7F7;
    border-radius: 16px;
}

body.single-post .entry-meta {
	row-gap:8px;
}
.self-intro-box {
    background-color: #f9f9f9; /* Light background color for the box */
    padding: 20px;
    border: 1px solid #ddd; /* Light border */
    border-radius: 10px; /* Rounded corners */
	margin-bottom:40px;
	display: flex;
    flex-direction: column;
    align-items: center;
}
.self-intro-box>div {
    width: 100px;
    height: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.self-intro-box img:nth-child(2) {
	width:80%;
}

.self-intro-box p {
    color: #555; /* Gray color for the text */
    font-size: 13px;
    line-height: 1.7;
	text-align:left;
	margin-bottom:0;
}
body.single-post #block-28 .self-intro-box {
	background:white;
}
body.single-post #block-28 .self-intro-box p {
    font-size: 13px;
    line-height: 1.7;
}
.self-intro-sns img {
    width: 70%;
}
.self-intro-sns a:nth-of-type(2) img {
	max-width:initial;
    width: 140%;
}

.self-intro-box ul {
    padding: 0;
    list-style: none; /* Removes bullet points from the list */
}

.self-intro-box ul li {
    display: inline-block;
    margin: 0 10px; /* Spacing between the social media links */
}

section#block-28 .self-intro-box a {
    color: #0073e6; /* Blue color for links */
    text-decoration: underline; 
}

section#block-28 .self-intro-box a:hover {
    text-decoration: underline;
}
body.single-post .entry-related-inner-content .entry-content-wrap {
    background: #f6f7f7;
}
body.single-post p {
	line-height:1.8;
	font-size:16px;
}
body.single-post .loop-entry .entry-content-wrap {
    padding: 1rem;
}
body.single-post .loop-entry .entry-header .entry-title {
    font-size: 16px;
}
body.single-post .entry.loop-entry , .entry {
    box-shadow: none;
}
body.single-post .content-wrap {
    background: white;
    padding: 24px 24px 0px 24px;
	transform: translateY(-60px);
}
body.single-post .content-area {
    margin-top: 2rem;
	    margin-bottom: 0;
}
body.single-post .single-content h2{
    margin: 1.5em 0 1em;
    font-size: 24px;
    background: #EFE8D6;
    /*border-left: solid 4px deepskyblue;*/
    padding: 6px 18px;
}
body.single-post .single-content h3 {
	border-bottom:solid 1px #444444;
	font-size:22px;
}
body.single-post .single-content h4 {
	border-bottom:dashed 1px #444444;
	font-size:18px;
}
body.single-post .content-wrap .single-entry a , body.single-post .content-wrap .single-entry a:is(:hover, :active) {
	text-decoration:underline;
}
#block-3 h2 , #block-6 h2 , #block-24 h2 {
	font-size:22px;
	border-bottom:solid 1px;
}
#block-14 h2 {
		font-size:22px;
}
.social-share-buttons {
    display: flex;
    justify-content: center;
	column-gap:10px;
	font-size: 24px;
}
.social-share-buttons>a {
	border:solid 1px lightgray
}
.social-share-buttons>a:nth-of-type(1) {
	color:#2b5aa4;
}
.social-share-buttons>a:nth-of-type(2) {
	color:#000000;
}
.social-share-buttons>a:nth-of-type(3) {
	color:#06C152;
}
a.post-social-share-button {
    width: 80px;
    height: 44px;
    display: flex;
    justify-content: center;
    align-items: center;
	background-color:#F4F3F8;
	border-radius:0.25rem;
}
.fa-line:before {
    font-size: 30px;
}
i.fab.fa-line {
    margin-top: 6px;
}
.share-button-message {
	text-align:center;
	padding-top:16px;
	padding-bottom:12px;
}
.share-button-message-text {
	position:relative;
	font-size:15px;
}
.share-button-message-text::before {
    background-color: #272122;
    bottom: 0;
    left: -20px;
    content: "";
    display: block;
    height: 1.5em;
    position: absolute;
    width: 1px;
    transform: rotate(-40deg);
}
.share-button-message-text::after {
    background-color: #272122;
    bottom: 0;
    right: -20px;
    content: "";
    display: block;
    height: 1.5em;
    position: absolute;
    width: 1px;
    transform: rotate(40deg);
}
body.single-post .kadence-breadcrumbs {
    margin: 3em 0;
}
body:is(.single-post, .category, .search) a.tag-cloud-link:hover,
body:is(.single-post, .category, .search) a.tag-cloud-link:active {
    text-decoration: none;
	color: #707070;
}
body.single-post .entry-related-inner-content {
    padding: 0 0 1px 0;
}
a.tag-cloud-link {
    margin-right: 0.5em;
    padding: 0.4em 0.6em;
    margin-top: 0.5em;
    font-size: 80%;
    border: 1px solid var(--global-gray-500);
    border-radius: 0.25rem;
    color: var(--global-palette5);
}
body.single-post .footer-html-inner>p {
	font-size:13px;
}
@media(max-width:1024px) {
	body.single-post .entry-related-inner-content {
    padding-left: 48px;
    padding-right: 48px;
}
body.single .entry-related.entry-related-style-wide {
    background: transparent; 
}
}
@media(max-width:767px) {
	body.single-post div.content-container.site-container {
		padding:0;
	}
	body.single-post h1.entry-title {
    font-size: 24px;
}
	body.single-post .primary-sidebar {
    margin-left: 16px;
    margin-right: 16px;
}
body.single-post .entry-related-inner-content {
    padding-left: 24px;
    padding-right: 24px;
	padding-top:24px;
}
}
/*------------------------------Search page------------------------------*/
@media(max-width:1024px) {
body.search #block-26 form.searchandfilter {
    margin-top: 0px;
}
}
/*---------------------------VK block setting---------------------------*/
.blog-info-yellow {
	background:rgba(253, 191, 0, .1);
	border:rgba(253, 191, 0, .4);
	color:#303030;
}
body.single-post .blog-info-red {
	background:#F5F5F3;
	border:solid 1px #444444;
	color:#303030;
	border-radius:8px;
}
body.single-post p.normalp {
    margin-bottom: 2px;
}
body.single-post p.smallfontp {
	font-size:14px;
}

/*-------------------------------Blog parts setting--------------------------------*/
body.single-post .blog-reference-box {
	position:relative;
	display:flex;
	color: #565040;
	background-color:#f5f5f3;
    align-items: center;
	column-gap: var(--global-kb-gap-sm, 1rem);
	border: 2px solid #726a54;
	border-radius:16px;
	padding:20px 16px 16px 16px;
}
body.single-post .blog-reference-box img {
    max-width: 140px;
    aspect-ratio: 4 / 3;
    object-fit: cover;
}
body.single-post p.reference-block-title {
    background: white;
    display: inline-block;
    font-size: 14px;
	font-weight:bold;
    position: absolute;
    white-space: nowrap;
    top: -16px;
}
body.single-post p.reference-block-link {
	font-weight:bold;
}
body.single-post p.reference-block-title:before {
	content:"\f360";
	font-family: "Font Awesome 5 Free";
	margin-right:6px;
	padding-left:6px;
}
body.single-post .entry-content>.wp-block-lazyblock-blog-reference-block>a , body.single-post .entry-content>.wp-block-lazyblock-blog-reference-block>a:is(:hover,:active) {
	text-decoration:none;
}
/*Simple calculator for disney ticket*/
#simple-calculator {
		margin: 20px auto;
	padding: 20px;
	border: 1px solid #ccc;
	width: 300px;
}
#simple-calculator p {
	font-size:14px;
	line-height:1.3;
}
#simple-calculator button{
	text-align: center;
	font-size:13px;
    width: 100%;
	margin-bottom:-20px;
}

/*Blog yellow marker*/
[data-color="#fffd6b"] {
  background: linear-gradient(to top, rgb(255, 232, 71) 40%, transparent 40%) !important;
}
/*linear-gradient(to bottom, transparent, transparent 70%, #ffe847 70%)*/
body.single-post .wp-block-table thead {
    border: none;
    background: green;
    color: white;
}
tbody>tr:nth-child(1) {
    background-color: #f5f5f3;
}
@media(max-width:1024px) {
	#block-10 {
	margin-bottom:0;
}
#block-30 {
	display:flex;
	justify-content:center;
}
}
@media(max-width:767px) {
body.single-post .blog-reference-box img {
    max-width: 120px;
}
	body.single-post p {
    line-height: 1.7;
    font-size: 15px;
}
body.single-post .blog-reference-box p {
	line-height:1.5;
	font-size:14px;

}
}

/*-------------------------------------Each post setting--------------------------------------*/
body.postid-3329 h4.wp-block-heading {
    color: #0c5460;
}
body.postid-3896 .wp-block-table tfoot {
    border: 1px solid;
    background: #f0f0f0;
}
/*-------------------------------------Ad setting--------------------------------------*/

/*Sticky sidebar widget*/
body.single-post {
    overflow-x:visible;
}
section#block-30 , section#block32 {
    position: sticky;
    top: 48px;
}
section#block-30 {
    position: sticky;
    top: 310px;
	margin-top:-10px;
}
section#block-32 {
    position: sticky;
    top: 378px;
	margin-top:-10px;
}
section#block-38 {
    position: sticky;
    top: 52px;
}
section#block-34 img {
    max-width:300px;
}
.sidebar-inner-wrap {
    display: initial;
}
@media (max-width: 767px) { 
    section#block-30, section#block-32 , section#block-34 {
        position: static; 
    }
	section#block-34 , section#block-32 {
		display:flex;
		justify-content:center;
	}

}
/*.useful-link-flex>a:nth-child(7) , .useful-link-flex>a:nth-of-type(8) {
    margin-top: -10px;
	font-size:11px;
}*/
body.single-post .adinfo p {
	font-size:11px;
}
body.single-post div.alert.adinfo {
	font-size:11px;
	padding: 0.2rem 0.75rem;
}
body.single-post .disney-ad p {
	font-size:15px;
	margin-bottom: 2px;
    margin-top: 10px;
}
.disney-ad {
    border: solid 1px #ebccd1;
    padding: 1em;
    margin: 1em auto;
    border-radius: 3px;
    background-color: lightgoldenrodyellow;
}
.disney-ad h6 {
    font-weight: 500;
    font-size: 16px;
    color: deeppink;
}
.epos-ad h6 {
	font-weight: 500;
    color: #2563EB;
	font-size: 16px;
}
.china-wifi-ad h6 {
	font-weight: 500;
    color: darkgreen;
	font-size: 16px;
}
.rakutencard-ad h6 {
	font-weight: 500;
    font-size: 16px;
    color: blue;
}
.epos-ad {
    background: #eff6ff;
    border: solid 1px lightsteelblueblue;
	padding: 1em;
    margin: 1em auto;
    border-radius: 3px;
}
.china-wifi-ad {
    background: #E8FFFC;
    border: solid 1px darkgreen;
	padding: 1em;
    margin: 1em auto;
    border-radius: 3px;
}
.rakutencard-ad {
	background: lightyellow;
    border: solid 1px blue;
	padding: 1em;
    margin: 1em auto;
    border-radius: 3px;
}
div.epos-ad>p  , div.china-wifi-ad>p , div.rakutencard-ad>p {
	margin-top:-20px;
	margin-bottom:0px;
}
body.single-post .hk-disney-ad p {
	font-size:15px;
	margin-bottom: 2px;
    margin-top: 10px;
}
.hk-disney-ad {
    border: solid 1px #ebccd1;
    padding: 1em;
    margin: 1em auto;
    border-radius: 3px;
    background-color: #ffe5ea;
}
.hk-disney-ad h6 {
    font-weight: 700;
    font-size: 16px;
    color: #f23298;
}
.epos-ad img {
	width: 100%;
	max-width:320px;
}
/*----------------------------------Hide widgets on What'New and Archive page-------------------------------------*/
body.blog :is(#block-26, #block-10, #block-14, #block-6, #erw_exchange_rates_widget-5) {
	display:none;
}
body.blog .self-intro-box , body.archive .self-intro-box {
	margin-bottom:0px;
}
body.archive :is(#block-26, #block-14, #block-6) {
	display:none;
} 

/*------------------------------------------------------------------*/
.self-intro-box img {
	width:80%;
}
@media (max-width: 767px) {
    body.home .kadence-column81_08a193-5f > .kt-inside-inner-col
 {
        margin-left: 14px;
        margin-right: 14px;
    }
body.home div.home-banner1 .content {
	row-gap:8px;
}
}
